import vrml.*;
import vrml.field.*;
import vrml.node.*;

import vrml.Browser;

public class SetRanges extends Script {
    private SFFloat range;
    private SFInt32 max;
    private SFInt32 count;

    public void initialize() {
        max = (SFInt32) getField("max");
        count = (SFInt32) getField("count");
        range = (SFFloat) getField("range");
        SFInt32 max_bounds = (SFInt32) getEventOut("max_bounds");
        SFInt32 count_bounds = (SFInt32) getEventOut("count_bounds");
        SFFloat range_bounds = (SFFloat) getEventOut("range_bounds");
        max_bounds.setValue(max.getValue());
        count_bounds.setValue(count.getValue());
        range_bounds.setValue(range.getValue());
    }
}
